#
# spec file for package nfs-utils (Version 1.0.6)
#
# Copyright (c) 2004 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  gcc-c++ libstdc++-devel tcpd
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gcc-c++ gdbm gettext libstdc++-devel libtool perl rpm tcpd

Name:         nfs-utils
URL:          http://nfs.sourceforge.net
Summary:      Support utilities for kernel nfsd
Version:      1.0.6
Release:      114
Group:        Productivity/Networking/NFS
Obsoletes:    knfsd linuxnfs nfsutils
Provides:     knfsd linuxnfs nfsutils
License:      GPL
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Requires:     portmap
Conflicts:    nfs-server
PreReq:       %fillup_prereq %insserv_prereq
Autoreqprov:  on
Source0:      ftp://nfs.sourceforge.net/pub/nfs/nfs-utils-%{version}.tar.bz2
Source1:      ftp://nfs.sourceforge.net/pub/nfs/nfs.doc.tar.bz2
Source10:     nfsserver.init
Source11:     nfslock.init
Source12:     sysconfig.nfs-nfs-utils
Patch:        nfs-utils-%{version}-dep.patch
Patch1:       nfs-utils-%{version}-nsm.patch
Patch2:       nfs-utils-%{version}-doc.patch
Patch3:       export-acl.diff
Patch4:       nfs-utils-%{version}-quota.patch
Patch5:       nfs-utils-%{version}-headtail.patch
Patch6:       nfs-utils-%{version}-statd.patch

%description
This package contains the NFS utilities. You can tune the number of
server threads via the sysconfig-variable USE_KERNEL_NFSD_NUMBER. For
quota over NFS support please install the "quota" package.



Authors:
--------
    Olaf Kirch <okir@monad.swb.de>
    H.J. Lu <hjl@valinux.com>

%prep
%setup -q -a 1
%patch
%patch1
%patch2 -p1
%patch3 -p1
%patch4
%patch5
%patch6 -p2

%build
%{?suse_update_config:%{suse_update_config -f }}
CFLAGS="$RPM_OPT_FLAGS" ./configure --mandir=%{_mandir}
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{/sbin,/usr/{sbin,share/man/man5,share/man/man8}}
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/{man1,man5,man8}
make install install_prefix=$RPM_BUILD_ROOT MANDIR=$RPM_BUILD_ROOT/%{_mandir}
mv $RPM_BUILD_ROOT/usr/sbin/{rpc.lockd,rpc.statd} $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/var/lib/nfs
touch $RPM_BUILD_ROOT/var/lib/nfs/rmtab
mkdir -p $RPM_BUILD_ROOT/var/lib/nfs/sm
chmod 700 $RPM_BUILD_ROOT/var/lib/nfs/sm
mkdir -p $RPM_BUILD_ROOT/var/lib/nfs/sm.bak
chmod 700 $RPM_BUILD_ROOT/var/lib/nfs/sm.bak
touch $RPM_BUILD_ROOT/var/lib/nfs/xtab
chmod 644 $RPM_BUILD_ROOT/var/lib/nfs/xtab
touch $RPM_BUILD_ROOT/var/lib/nfs/rmtab
chmod 644 $RPM_BUILD_ROOT/var/lib/nfs/rmtab
touch $RPM_BUILD_ROOT/var/lib/nfs/etab
chmod 644 $RPM_BUILD_ROOT/var/lib/nfs/etab
touch $RPM_BUILD_ROOT/var/lib/nfs/state
chmod 600 $RPM_BUILD_ROOT/var/lib/nfs/state
install -m 744 %{SOURCE10} $RPM_BUILD_ROOT/etc/init.d/nfsserver
install -m 744 %{SOURCE11} $RPM_BUILD_ROOT/etc/init.d/nfslock
install -m 644 %{SOURCE12} $RPM_BUILD_ROOT/var/adm/fillup-templates
ln -sf ../../etc/init.d/nfsserver $RPM_BUILD_ROOT/usr/sbin/rcnfsserver
ln -sf ../etc/init.d/nfslock $RPM_BUILD_ROOT/sbin/rcnfslock
rm -fv $RPM_BUILD_ROOT/usr/sbin/rpc.rquotad
rm -fv $RPM_BUILD_ROOT/usr/share/man/man8/rquotad.8*

%clean
rm -rf $RPM_BUILD_ROOT

%preun
%stop_on_removal nfsserver nfslock

%post
# no insserv for nfslock which is new and not activated by default
%{fillup_and_insserv -s nfsserver NFS_SERVER}
%{fillup_only -an nfs}

%postun
%restart_on_update nfsserver nfslock
%insserv_cleanup

%files
%defattr(-,root,root)
%doc nfs/*.html nfs/*.ps linux-nfs/*
#/dev/nfsd_netlink
/var/adm/fillup-templates/sysconfig.nfs-nfs-utils
%dir /var/lib/nfs
%ghost /var/lib/nfs/state
%ghost /var/lib/nfs/sm
%ghost /var/lib/nfs/sm.bak
%config(noreplace) /var/lib/nfs/xtab
%config(noreplace) /var/lib/nfs/etab
%config(noreplace) /var/lib/nfs/rmtab
/usr/sbin/exportfs
/usr/sbin/nfsstat
/usr/sbin/showmount
/usr/sbin/nhfsstone
/usr/sbin/nhfsrun
/usr/sbin/nhfsnums
/usr/sbin/nhfsgraph
/usr/sbin/rcnfsserver
/usr/sbin/rpc.mountd
/usr/sbin/rpc.nfsd
/sbin/rcnfslock
/sbin/rpc.lockd
/sbin/rpc.statd
%config /etc/init.d/nfsserver
%config /etc/init.d/nfslock
%doc %{_mandir}/man5/exports.5.gz
%doc %{_mandir}/man7/nfsd.7.gz
%doc %{_mandir}/man8/exportfs.8.gz
%doc %{_mandir}/man8/nfsstat.8.gz
%doc %{_mandir}/man8/nhfsstone.8.gz
%doc %{_mandir}/man8/nhfsrun.8.gz
%doc %{_mandir}/man8/nhfsnums.8.gz
%doc %{_mandir}/man8/nhfsgraph.8.gz
%doc %{_mandir}/man8/showmount.8.gz
%doc %{_mandir}/man8/statd.8.gz
%doc %{_mandir}/man8/rpc.statd.8.gz
%doc %{_mandir}/man8/mountd.8.gz
%doc %{_mandir}/man8/rpc.mountd.8.gz
%doc %{_mandir}/man8/nfsd.8.gz
%doc %{_mandir}/man8/rpc.nfsd.8.gz
%doc %{_mandir}/man8/lockd.8.gz

%changelog -n nfs-utils
* Wed Dec 08 2004 - ro@suse.de
- fix security problem with SIGPIPE in rpc.statd (#49002)
* Mon Sep 15 2003 - ro@suse.de
- update to version 1.0.6 to fix a possible segfault in statd
- support for 2.6 kernels
* Fri Aug 29 2003 - ro@suse.de
- fix hed/tail calling syntax (#29644)
* Mon Aug 25 2003 - ro@suse.de
- add restart_on_update/stop_on_removal macros
* Fri Aug 15 2003 - ro@suse.de
- added sysconfig metadata (#28908)
* Tue Aug 05 2003 - ro@suse.de
- fix compile for rquotad (unused anyway
* Thu Jul 31 2003 - ro@suse.de
- add support for STATD_HOSTNAME (#28201)
* Mon Jul 28 2003 - ro@suse.de
- update to 1.0.5 and adapt patches
- overflow patch already included
- part of acl patch already included
* Mon Jul 21 2003 - agruen@suse.de
- Switch to officially reserved bit flag for `no_acl' export
  option: the previous bit was already allocated.
* Tue Jul 08 2003 - agruen@suse.de
- Add `no_acl' export option, replaces the nfs_permission_mode
  nfsd module parameter.
* Tue Jul 08 2003 - okir@suse.de
- Fixed off-by-one overflow (#27744)
* Thu Jun 12 2003 - kukuk@suse.de
- Add /var/lib/nfs to filelist
* Tue May 13 2003 - ro@suse.de
- fix file list
* Fri Mar 28 2003 - ro@suse.de
- update to 1.0.3
* Wed Jan 08 2003 - ro@suse.de
- added sysconfig metadata (#22663)
* Fri Sep 06 2002 - ro@suse.de
- rcnfsserver: moved ypbind to should-start (#18952)
- rcnfslock: fixed typo killing daemons on "status" (#19046)
* Tue Sep 03 2002 - ro@suse.de
- changed nfslock from should-start to required-start in
  nfsserver rc script (is in the same package anyway)
* Mon Aug 26 2002 - okir@suse.de
- Fixed minor manpage issue (#18326)
* Thu Aug 22 2002 - ro@suse.de
- fixed symlink rcnfslock (#18171)
* Wed Aug 07 2002 - ro@suse.de
- move statd and lockd to their own startscript (#17425)
* Thu Aug 01 2002 - ro@suse.de
- update to 1.0.1
- added prereqs
* Thu Jul 25 2002 - okir@suse.de
- Help users who do not configure a domain name: when
  sending out NSM_NOTIFY strip off .local suffix if
  present.
* Mon Jul 22 2002 - okir@suse.de
- partial fix for http://bugzilla.suse.de/show_bug.cgi?id=16957
  (missing NSM_NOTIFY call when rebooting).
* Tue Jul 16 2002 - kukuk@suse.de
- Don't source rc.config (#17025)
* Fri Jun 14 2002 - ro@suse.de
- run suse_update_config
* Tue Feb 26 2002 - ro@suse.de
- fixed wrong quotes in init-script (#13939)
* Wed Feb 06 2002 - ro@suse.de
- ignore returncodes from killing statd and lockd (#13072)
* Wed Feb 06 2002 - ro@suse.de
- sysconfig/nfs-server -> sysconfig/nfs
* Wed Jan 09 2002 - ro@suse.de
- removed variable NFS_SERVER (#12742)
- moved USE_KERNEL_NFSD_NUMBER to /etc/sysconfig/nfs-server
* Wed Sep 26 2001 - ro@suse.de
- up to 0.3.3
  many fixes to canonicalize hostnames in exports
* Fri Aug 24 2001 - ro@suse.de
- removed nfs-version 3 detection in start-script, all kernels
  that have kernel nfsd support usually do have nfsd-v3 support
  and detection would require at least a 5 sec wait in the script
* Tue Jul 31 2001 - kukuk@suse.de
- Fix path to init script in description [Bug #9494]
- Fix comment in runlevel section [Bug #9561]
- Make init script LSB conform [Bug #9073]
* Wed Apr 11 2001 - ro@suse.de
- lockd only started for 2.2 kernels instead of ignoring error
- completed rpc.statd to /sbin move in startscript
* Mon Mar 12 2001 - ro@suse.de
- move rpc.lockd, rpc.statd to /sbin
* Mon Mar 12 2001 - ro@suse.de
- update to 0.3.1
- ignore lockd error messages
- dump filedescriptors before starting kernel threads
* Tue Feb 06 2001 - ro@suse.de
- renamed package to nfs-utils
- Obsoletes and Provides nfsutils
* Fri Jan 12 2001 - ro@suse.de
- fixed conflicts: nfs-server (#5548)
* Thu Jan 11 2001 - ro@suse.de
- don't fail if lockd can't be started
* Wed Dec 06 2000 - bk@suse.de
- fix broken symlinks for %%{_mandir}/rpc.{nfs,mount,stat}d.8.gz
* Tue Nov 28 2000 - kukuk@suse.de
- Move new initscript to /etc/init.d
* Thu Oct 12 2000 - ro@suse.de
- exports.4 should be exports.5
- removed k-prefix
* Thu Oct 12 2000 - ro@suse.de
- added exports.4 man-page
- up to 0.2.1
* Wed Sep 27 2000 - ro@suse.de
- update to 0.2
- fix for nfsserver.init (check for v3)
* Thu Aug 17 2000 - ro@suse.de
- ugraded from knfsd to successor package nfs-utils (v.0.1.9.1)
* Fri Jul 28 2000 - bjacke@suse.de
- fixed checkproc call in init script
* Fri Jul 21 2000 - kukuk@suse.de
- Fix missing format string in syslog call (next rpc.statd security
  problem)
* Wed Jul 19 2000 - kukuk@suse.de
- Fix problem with NULL h_alias field (rpc.statd security problem)
* Thu Jun 22 2000 - kukuk@suse.de
- Change conflict from itself to nfsserv
* Tue Apr 18 2000 - kukuk@suse.de
- Fix rcnfsserver link
* Sat Apr 15 2000 - kukuk@suse.de
- Add rc.config variables and init script from aaa_base
* Wed Feb 16 2000 - kukuk@suse.de
- Fill out Copyright and Group field
- Remove rquotad from file list, it is already in the quota
  package [Bug 1571]
* Tue Jan 25 2000 - ro@suse.de
- manpages to /usr/share using macro
* Thu Oct 21 1999 - ro@suse.de
- renamed package from linuxnfs to knfsd
* Tue Oct 12 1999 - garloff@suse.de
- Fixed filelist (%%ghost)
* Tue Oct 12 1999 - garloff@suse.de
- upgraded to knsfd-1.5.2. Added klockd to file list.
  Ditto for new /dev/nfsd_netlink.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Aug 24 1999 - uli@suse.de
- added -fsigned-char to CFLAGS (PPC)
* Sat Jul 17 1999 - ro@suse.de
- update to 1.4.6
* Mon Jun 14 1999 - kukuk@suse.de
- update to version 1.4
* Sun Jun 06 1999 - kukuk@suse.de
- update to version 1.3.3b
* Tue Mar 16 1999 - ro@suse.de
- update to version 1.2
* Thu Nov 26 1998 - ro@suse.de
- update to 981122
* Thu Nov 12 1998 - ro@suse.de
- use lx_hack
* Wed Oct 21 1998 - ro@suse.de
- added bugfix for statd (by HJL)
* Tue Oct 20 1998 - ro@suse.de
- update to knfsd-981014
* Mon Sep 28 1998 - ro@suse.de
- initial package / for use a 2.1 kernel with knfsd support is needed
